Download it now!
Bug 132278 - crash after opening an old file
Summary: crash after opening an old file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-04-20 15:17 UTC by Enrico Bertello
Modified: 2020-05-06 18:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
spread sheet normal (34.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-20 15:18 UTC, Enrico Bertello
Details
bt with debug symbols (18.11 KB, text/plain)
2020-04-20 17:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Enrico Bertello 2020-04-20 15:17:53 UTC
Description:
an old file .ods open correctly
but after saving it, the libre office do n ot open again

Actual Results:
open the file
save with another name (also tried .xls)
close libre office
libre office do not open again

Expected Results:
open normally the file renamed


Reproducible: Always


User Profile Reset: Yes



Additional Info:
no
Comment 1 Enrico Bertello 2020-04-20 15:18:54 UTC
Created attachment 159765 [details]
spread sheet normal
Comment 2 Julien Nabet 2020-04-20 17:26:57 UTC
Created attachment 159768 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Telesto 2020-04-20 18:23:32 UTC
No repro with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 4 Xisco Faulí 2020-04-22 17:20:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7282014e362a1529a36c88eb308df8ed359c2cfa

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-02-01 15:15:16 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-05 13:43:52 +0200
commit	7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree	2776ad9601f494330076ac58c08554e719c6ab3a
parent	df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 5 Commit Notification 2020-04-23 08:20:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4faf8ef2553aba31d6021abce604f7716d2ad229

tdf#132278 crash after opening an old file

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-04-23 10:40:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4cc8dfa2a20e9829d2d092f0cca14208f81a18cb

tdf#132278 crash after opening an old file

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-04-23 15:41:15 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e34a1463e0cf236ca0612b1e0850f89964e4c066

tdf#132278: sc: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-05-05 15:15:32 UTC
Setting to VERIFIED

Version: 7.0.0.0.alpha0+
Build ID: 017f90788c330d2e35a9c05a5...
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!